ghc-7.8.4: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell98

Config

# Documentation

data IntegerLibrary

Constructors

IntegerGMP |
IntegerSimple |

Instances

Eq IntegerLibrary |

cBuildPlatformString :: String

cHostPlatformString :: String

cTargetPlatformString :: String

cProjectName :: String

cProjectVersion :: String

cProjectVersionInt :: String

cProjectPatchLevel :: String

cBooterVersion :: String

cStage :: String

cIntegerLibrary :: String

cIntegerLibraryType :: IntegerLibrary

cSupportsSplitObjs :: String

cGhcWithInterpreter :: String

cGhcWithNativeCodeGen :: String

cGhcWithSMP :: String

cGhcRTSWays :: String

cGhcEnableTablesNextToCode :: String

cLeadingUnderscore :: String

cGHC_UNLIT_PGM :: String

cGHC_SPLIT_PGM :: String

cLibFFI :: Bool

cGhcThreaded :: Bool

cGhcDebugged :: Bool